import java.util.concurrent.Callable;

public class UsingGroovy {
  public static void main(String[] args) { 
    GroovyClass instance = new GroovyClass();
    
    java.util.List<String> names = new java.util.ArrayList<String>();
    names.add("Bob");
    names.add("Betty");
    instance.people(names);
    
    instance.receiveBlock(new Callable<Object>() {
      public Object call() {
        System.out.println("block in Java...");
        return null;
      }
    });

    Object block2 = new groovy.lang.Closure(null) {
      public Object call(Object[] args) {
        System.out.println("block2 in Java...");
        return null;
      }
    };
    
    instance.receiveBlockWParam(block2);
  }
}